JsonFormat.Features
Date: 2016-12-03

com.fasterxml.jackson.annotation

## Class JsonFormat.Features

- java.lang.Object
- - com.fasterxml.jackson.annotation.JsonFormat.Features

- Enclosing class:
    JsonFormat

      public static class JsonFormat.Features
      extends java.lang.Object

  Helper class that encapsulates information equivalent to `Boolean` valued `EnumMap`.
  Since:
    2.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonFormat.Features` | `construct(JsonFormat.Feature[] enabled, JsonFormat.Feature[] disabled)`
    `static JsonFormat.Features` | `construct(JsonFormat f)`
    `static JsonFormat.Features` | `empty()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Boolean` | `get(JsonFormat.Feature f)`
    `int` | `hashCode()`
    `JsonFormat.Features` | `with(JsonFormat.Feature... features)`
    `JsonFormat.Features` | `without(JsonFormat.Feature... features)`
    `JsonFormat.Features` | `withOverrides(JsonFormat.Features overrides)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### empty

          public static JsonFormat.Features empty()

    - #### construct

          public static JsonFormat.Features construct(JsonFormat f)

    - #### construct

          public static JsonFormat.Features construct(JsonFormat.Feature[] enabled,
                                      JsonFormat.Feature[] disabled)

    - #### withOverrides

          public JsonFormat.Features withOverrides(JsonFormat.Features overrides)

    - #### with

          public JsonFormat.Features with(JsonFormat.Feature... features)

    - #### without

          public JsonFormat.Features without(JsonFormat.Feature... features)

    - #### get

          public java.lang.Boolean get(JsonFormat.Feature f)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`